天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 21|回复: 0

C++ AcDbBlockTableRecord::appendAcDbEntity方法代码示例

[复制链接]

该用户从未签到

主题

0

回帖

2912

积分

管理员

积分
2912
发表于 2024-6-22 09:46:18 | 显示全部楼层 |阅读模式
[code]在下文中一共展示了AcDbBlockTableRecord::appendAcDbEntity方法的15个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于我们的系统推荐出更棒的C++代码示例。

示例1: Draw_Rectangle
▲ 点赞 7 ▼
AcDbObjectId Additional_Class::Draw_Rectangle( AcGePoint2d stPt, double length, double height )
{
    AcDbPolyline *pPolyline = new AcDbPolyline(4);
    AcGePoint2d stPt1, stPt2, stPt3, stPt4;
    stPt1 = stPt;
    pPolyline->addVertexAt(0, stPt1, 0, 0, 0);
    stPt2.x = stPt.x +length;
    stPt2.y = stPt.y;
    pPolyline->addVertexAt(1, stPt2, 0, 0, 0);
    stPt3.x = stPt2.x;
    stPt3.y = stPt2.y + height;
    pPolyline->addVertexAt(2, stPt3, 0, 0, 0);
    stPt4.x = stPt3.x - length;
    stPt4.y = stPt3.y;
    pPolyline->addVertexAt(3, stPt4, 0, 0, 0);
    pPolyline->setClosed(Adesk::kTrue);
    AcDbBlockTable *pBlockTable = NULL;
    acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBlockTable, AcDb::kForRead);
    //this->Open_BlockTable(pBlockTable, NREADMODE);
    AcDbBlockTableRecord *pBlockTableRecord = NULL;
    pBlockTable->getAt(ACDB_MODEL_SPACE, pBlockTableRecord, AcDb::kForWrite);
    //acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBlockTable, AcDb::kForRead);
    //this->Open_ModelTableRecord(pBlockTableRecord, pBlockTable, NWRITEMODE);
    AcDbObjectId TempLineID;
    pBlockTableRecord->appendAcDbEntity(TempLineID, pPolyline);
    pPolyline->close();
    pBlockTable->close();
    pBlockTableRecord->close();
    return TempLineID;
}
开发者ID:TobeGodman,项目名称:AutoTrader,代码行数:30,代码来源:Additional_Class.cpp


示例2: createCircle
▲ 点赞 6 ▼
Acad::ErrorStatus createCircle(AcDbObjectId & idCircle)
{
    CLogger::Print(L"*Call: createCircle()");
    Acad::ErrorStatus es, esTmp;

    AcDbBlockTable* pBlockTable = NULL;
    es = acdbHostApplicationServices()->workingDatabase()
                ->getSymbolTable(pBlockTable, AcDb::kForRead);
    if (Acad::eOk != es) {
        CLogger::Print(L"*Exit: createCircle() - Fail to get the BlockTable.");
        return es;
    }

    AcDbBlockTableRecord* pModelSpace = NULL;
    es = pBlockTable->getAt(ACDB_MODEL_SPACE, pModelSpace, AcDb::kForWrite);
    if (Acad::eOk != (esTmp =  pBlockTable->close())) {
        CLogger::Print(L"Warn: Fail to close the BlockTable!");
        acrx_abort(ACRX_T("\nThere is an error occured when close the BlockTable. Message: %s")
                                    , acadErrorStatusText(esTmp));
    }
    if (Acad::eOk != es) {
        CLogger::Print(L"*Exit: createCircle() - Fail to get the Model Space! Error: %s", acadErrorStatusText(es));
        return es;
    }

    idCircle = AcDbObjectId::kNull;
    AcGePoint3d pt3Center(9.0, 3.0, 0.0);
    AcGeVector3d vt3Normal(0.0, 0.0, 1.0);
    AcDbCircle* pCircle = new AcDbCircle(pt3Center, vt3Normal, 10.0);

    if (!pCircle) {
        if (Acad::eOk != (esTmp = pModelSpace->close())) {
            CLogger::Print(L"Warn: Fail to create new circle object!");
            acrx_abort(ACRX_T("\nThere is an error occured. Error: %s")
                                            , acadErrorStatusText(esTmp));
        }
        return Acad::eOutOfMemory;
    }

    es = pModelSpace->appendAcDbEntity(idCircle, pCircle);
    if (Acad::eOk != (esTmp = pModelSpace->close())) {
        CLogger::Print(L"Warn: Fail to close the Model Space!");
        acrx_abort(ACRX_T("\nThere is an error occured when close the Model Space! Error: %s")
                                        , acadErrorStatusText(esTmp));
    }
    if (Acad::eOk != es) {
        CLogger::Print(L"*Exit: createCircle() - Fail to append new circle in to Model Space!");
        delete pCircle;
        return es;
    }

    if (Acad::eOk != (esTmp = pCircle->close())) {
        CLogger::Print(L"Warn: Fail to close the circle object.");
        acrx_abort(ACRX_T("\nFail to close the circle entity!, Error: %s")
                                        , acadErrorStatusText(esTmp));
    }

    CLogger::Print(L"*Exit: createCircle()");
    return Acad::eOk;
}
开发者ID:vuonganh1993,项目名称:arxlss,代码行数:60,代码来源:LSS10.cpp

示例3: Creat_Table
▲ 点赞 4 ▼
AcDbObjectId Additional_Class::Creat_Table(AcGePoint3d TablePoint, vector<CString> Title, double ColWidth, double RowHeight, double TextHeight)
{
    AcDbTable *pTable = new AcDbTable();
    AcDbObjectId TableID;
    pTable->setNumColumns(Title.size());
    pTable->setNumRows(1);
    pTable->setColumnWidth(ColWidth);
    pTable->setRowHeight(RowHeight);
    pTable->setDirection(AcGeVector3d(1,0,0));
    pTable->setNormal(AcGeVector3d(0,0,1));
   
    pTable->setPosition(TablePoint);
    AcDbBlockTable *pBlockTable;
    AcDbBlockTableRecord *pBlockTableRecord;
    acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBlockTable, AcDb::kForRead);
    pBlockTable->getAt(ACDB_MODEL_SPACE,pBlockTableRecord,AcDb::kForWrite);
    pBlockTableRecord->appendAcDbEntity(TableID, pTable);
    //pBlockTable->close();
    pBlockTableRecord->close();
    //pTable->setTextString(0,0, "桩 号");
    //pTable->setTextHeight(0,0,10);
    //pTable->setTextString(0,1, "X坐标值");
    //pTable->setTextHeight(0,1,10);
    //pTable->setTextString(0,2, "Y坐标值");
    //pTable->setTextHeight(0,2,10);
    //pTable->setTextString(0,3, "特性值");
    //pTable->setTextHeight(0,3,10);
    //pTable->setTextString(0,4, "长 度");
    //pTable->setTextHeight(0,4,10);
    pTable->close();
    return TableID;
}
开发者ID:TobeGodman,项目名称:AutoTrader,代码行数:32,代码来源:Additional_Class.cpp


示例4: AcDbBlockTableRecord
▲ 点赞 1 ▼
void
makeABlock()
{
     // Create and name a new block table record.
     //
     AcDbBlockTableRecord *pBlockTableRec
         = new AcDbBlockTableRecord();
     pBlockTableRec->setName("ASDK-NO-ATTR");

     // Get the block table.
     //
     AcDbBlockTable *pBlockTable = NULL;
     acdbHostApplicationServices()->workingDatabase()
        ->getSymbolTable(pBlockTable, AcDb::kForWrite);

     // Add the new block table record to the block table.
     //
     AcDbObjectId blockTableRecordId;
     pBlockTable->add(blockTableRecordId, pBlockTableRec);
     pBlockTable->close();

     // Create and add a line entity to the component's
     // block record.
     //
     AcDbLine *pLine = new AcDbLine();
     AcDbObjectId lineId;

     pLine->setStartPoint(AcGePoint3d(3, 3, 0));
     pLine->setEndPoint(AcGePoint3d(6, 6, 0));
     pLine->setColorIndex(3);

     pBlockTableRec->appendAcDbEntity(lineId, pLine);
     pLine->close();
     pBlockTableRec->close();
}
开发者ID:kevinzhwl,项目名称:ObjectARXMod,代码行数:35,代码来源:complex.cpp

示例5: acdbHostApplicationServices
▲ 点赞 1 ▼
Acad::ErrorStatus
postToDatabase(/*[in]*/AcDbEntity* pEnt,/*[out]*/AcDbObjectId& idObj)
//Purpose:
//  Adds an entity to the MODEL_SPACE of the CURRENT database.
//Note:
//  It could be generalized to add it to any block table record of
//  any database, but why complicate it...
//
{
    Acad::ErrorStatus          es;
    AcDbBlockTable*                pBlockTable;
    AcDbBlockTableRecord*  pSpaceRecord;
    AcDbDatabase *pCurDwg = acdbHostApplicationServices()->workingDatabase();
    if (pCurDwg==NULL)
        return Acad::eNoDatabase;
    //Get a pointer to the current drawing
    //and get the drawing's block table.  Open it for read.
    if ((es = pCurDwg->getBlockTable(pBlockTable, AcDb::kForRead))==Acad::eOk){
    //Get the Model Space record and open it for write.  This will be the owner of the new line.
        if ((es = pBlockTable->getAt(ACDB_MODEL_SPACE, pSpaceRecord, AcDb::kForWrite))==Acad::eOk){
            //Append pEnt to Model Space, then close it and the Model Space record.
            if ((es = pSpaceRecord->appendAcDbEntity(idObj, pEnt))==Acad::eOk)
                pEnt->close();
            pSpaceRecord->close();
        }
    pBlockTable->close();
    }
    //it is good programming practice to return an error status
    return es;
}
开发者ID:kevinzhwl,项目名称:ObjectARXMod,代码行数:30,代码来源:Lab8CommandUtils.cpp


示例6: postToDatabase
▲ 点赞 1 ▼
Acad::ErrorStatus postToDatabase (/*[in]*/AcDbDatabase *pDb /*=NULL*/, AcDbEntity *pEnt, AcDbObjectId &idObj) {
    //----- Purpose:
    //----- Adds an entity to the MODEL_SPACE of the database given in argument.
    //-----   * pDb:   pointer to the databse where to add the entity,
    //-----            if NULL, then the curretn database is used.
    //-----   * pEnt:  pointer to an entity instance.
    //-----   * idObj: it will contain the assign ID to the object if successfully added to the database.
    //----- Note:
    //-----   The entity object is closed while we return from that function. Only the idObj can be used after.
    assert ( pEnt != NULL ) ;

    if ( pDb == NULL )
        pDb =acdbHostApplicationServices ()->workingDatabase () ;
    //----- Get a pointer to the current drawing
    //----- and get the drawing's block table. Open it for read.
    Acad::ErrorStatus es ;
    AcDbBlockTable *pBlockTable ;
    if ( (es =pDb->getBlockTable (pBlockTable, AcDb::kForRead)) == Acad::eOk ) {
        //----- Get the Model Space record and open it for write. This will be the owner of the new line.
        AcDbBlockTableRecord *pSpaceRecord ;
        if ( (es =pBlockTable->getAt (ACDB_MODEL_SPACE, pSpaceRecord, AcDb::kForWrite)) == Acad::eOk ) {
            //----- Append pEnt to Model Space, then close it and the Model Space record.
            if ( (es =pSpaceRecord->appendAcDbEntity (idObj, pEnt)) == Acad::eOk )
                pEnt->close () ;
            pSpaceRecord->close () ;
        }
        pBlockTable->close () ;
    }
    //----- It is good programming practice to return an error status
    return (es) ;
}
开发者ID:FengLuanShuangWu,项目名称:AutoCADPlugin-HeatSource,代码行数:31,代码来源:HlrArxSampleCommands.cpp

示例7: getSymbolTable
▲ 点赞 1 ▼
Acad::ErrorStatus
postToDb(AcDbEntity* ent, AcDbObjectId& objId)
{

    Acad::ErrorStatus      es;
    AcDbBlockTable*        pBlockTable;
    AcDbBlockTableRecord*  pSpaceRecord;

    if ((es = acdbHostApplicationServices()->workingDatabase()->
           getSymbolTable(pBlockTable, AcDb::kForRead))
           != Acad::eOk) {
        return es;
    }

    if ((es = pBlockTable->getAt(ACDB_MODEL_SPACE,
                                 pSpaceRecord,
                                 AcDb::kForWrite)) != Acad::eOk) {
        return es;
    }

    if ((es = pBlockTable->close()) != Acad::eOk) {
        return es;
    }

    if ((es = pSpaceRecord->appendAcDbEntity(objId, ent)) != Acad::eOk) {
        return es;
    }

    if ((es = pSpaceRecord->close()) != Acad::eOk) {
        return es;
    }

    return ent->close();
}
开发者ID:kevinzhwl,项目名称:ObjectARXMod,代码行数:34,代码来源:utilui.cpp


示例8: insertPoints
▲ 点赞 1 ▼
bool insertPoints(std::map<std::wstring,AcGePoint3d>& m_Points, Adesk::Int16 pointStyle, double pointSize, double textHeight)
{
   
    AcDbDatabase* pDb = acdbHostApplicationServices()->workingDatabase();
    AcCmColor pointColor;
    AcGePoint3d temp;
    AcDbPoint* tmp_point = nullptr;
    AcDbText* tmp_txt = nullptr;
    AcDbBlockTable* pBT = nullptr;
    AcDbBlockTableRecord* pBTR = nullptr;
    ACHAR* nrPct = nullptr;
    /*****************************************************************/
    pointColor.setColorIndex(7);
    Layer::Create(_T("pctContur"), pointColor, false, false, false);
    Layer::Create(_T("nrPct"), pointColor, false, false, false);
    Acad::ErrorStatus es = Acad::eOk;
    es = acdbHostApplicationServices()->workingDatabase()->setPdmode(pointStyle);
    es = acdbHostApplicationServices()->workingDatabase()->setPdsize(pointSize);

    /*****************************************************************/

    pDb->getSymbolTable(pBT, AcDb::kForRead);
    pBT->getAt(ACDB_MODEL_SPACE, pBTR, AcDb::kForWrite);
    pBT->close();

    std::map<std::wstring, AcGePoint3d>::iterator it;
    for (it = m_Points.begin(); it != m_Points.end();it++)
    {
        const wchar_t* key = it->first.c_str();
        tmp_point = new AcDbPoint;
        tmp_point->setPosition(it->second);
        tmp_point->setLayer(_T("pctContur"));
        
        tmp_txt = new AcDbText(it->second, key, AcDbObjectId::kNull, textHeight, 0);
        tmp_txt->setLayer(_T("nrPct"));
        

        pBTR->appendAcDbEntity(tmp_point);
        pBTR->appendAcDbEntity(tmp_txt);
        tmp_point->close();
        tmp_txt->close();
    }

    pBTR->close();

    return true;
}
开发者ID:cosmintaran,项目名称:CosminRepo,代码行数:47,代码来源:InventarCoordonate.cpp

示例9: createDatabase
▲ 点赞 1 ▼
void createDatabase()
{
    // Create a new Database.
    AcDbDatabase *pDb = new AcDbDatabase();

    // Get the BlockTable.
    AcDbBlockTable *pBTable = NULL;
    pDb->getSymbolTable(pBTable, AcDb::kForRead);

    // Get the ModelSpace.
    AcDbBlockTableRecord *pRecord = NULL;
    pBTable->getAt(ACDB_MODEL_SPACE, pRecord, AcDb::kForWrite);
    pBTable->close();

    // Create a new Circle.
    AcDbCircle *pCircle1 = new AcDbCircle(AcGePoint3d(100,100,0),
        AcGeVector3d(0,0,1),
        50.0);
    // Create another new Circle.
    AcDbCircle *pCircle2 = new AcDbCircle(AcGePoint3d(200,200,0),
        AcGeVector3d(0,0,1),
        30.0);

    // Append Circle1 to ModelSpace
    pRecord->appendAcDbEntity(pCircle1);
    pCircle1->close();

    // Append Circle2 to ModelSpace
    pRecord->appendAcDbEntity(pCircle2);
    pCircle2->close();

    pRecord->close();

    // Save to file
    // MUST append a DWG file extension.
    acutPrintf(_T("\nSave file to \"d:\\temp\\testfile.dwg\"."));
    pDb->saveAs(_T("d:\\temp\\testfile.dwg"));

    delete pDb;
}
开发者ID:kevinzhwl,项目名称:ZRXSDKMod,代码行数:40,代码来源:DatabaseOp.cpp

示例10: acdbHostApplicationServices
▲ 点赞 1 ▼
void
createPolyline()
{
    // Set four vertex locations for the pline.
    //
    AcGePoint3dArray ptArr;
    ptArr.setLogicalLength(4);
    for (int i = 0; i < 4; i++) {
        ptArr[i].set((double)(i/2), (double)(i%2), 0.0);
    }

    // Dynamically allocate an AcDb2dPolyline object,
    // given four vertex elements whose locations are supplied
    // in ptArr.  The polyline has no elevation, and is
    // explicitly set as closed.  The polyline is simple;
    // that is, not curve fit or a spline.  By default, the
    // widths are all 0.0 and there are no bulge factors.
    //
    AcDb2dPolyline *pNewPline = new AcDb2dPolyline(
        AcDb::k2dSimplePoly, ptArr, 0.0, Adesk::kTrue);

    pNewPline->setColorIndex(3);

    // Get a pointer to a Block Table object.
    //
    AcDbBlockTable *pBlockTable;
    acdbHostApplicationServices()->workingDatabase()
        ->getSymbolTable(pBlockTable, AcDb::kForRead);

    // Get a pointer to the MODEL_SPACE BlockTableRecord.
    //
    AcDbBlockTableRecord *pBlockTableRecord;
    pBlockTable->getAt(ACDB_MODEL_SPACE, pBlockTableRecord,
        AcDb::kForWrite);

    pBlockTable->close();

    // Append the pline object to the database and
    // obtain its Object ID.
    //
    AcDbObjectId plineObjId;
    pBlockTableRecord->appendAcDbEntity(plineObjId,
        pNewPline);

    pBlockTableRecord->close();

    // Make the pline object reside on layer "0".
    //
    pNewPline->setLayer("0");

    pNewPline->close();
}
开发者ID:kevinzhwl,项目名称:ObjectARXMod,代码行数:52,代码来源:complex.cpp

示例11: printFirstInteriorPoints
▲ 点赞 1 ▼
void InteriorPointsConstructor::printFirstInteriorPoints(int color, bool flag)
{
    int i = 1;
    int j = 0;
        
        
        AcGePoint3dArray ptArr;
        ptArr.setLogicalLength(_interiorArray[i].length()+1);
        
        
        while (j < _interiorArray[i].length())
        {
            
            ptArr[j].set(_interiorArray[i][j].x, _interiorArray[i][j].y, _interiorArray[i][j].z);
            
            
        
            j++;
        }
        ptArr[j].set(_interiorArray[0][0].x, _interiorArray[0][0].y, _interiorArray[0][0].z);
            

        AcDb3dPolyline *pNewPline = new AcDb3dPolyline(AcDb::k3dSimplePoly , ptArr, Adesk::kFalse);
        
        pNewPline->setColorIndex(color);

        AcDbBlockTable *pBlockTable;
        AcDbBlockTableRecord *pBlockTableRecord;


        acdbHostApplicationServices()->workingDatabase()->getSymbolTable(pBlockTable, AcDb::kForRead);

        
        
        pBlockTable->getAt(ACDB_MODEL_SPACE, pBlockTableRecord, AcDb::kForWrite);


        AcDbObjectId plineObjId;
        pBlockTableRecord->appendAcDbEntity(plineObjId, pNewPline);
        
        pBlockTable->close();
        pBlockTableRecord->close();

        //pNewPline->setLayer(_T("0"));
        //pNewPline->setClosed(Adesk::kFalse);
        pNewPline->close();
        //}
        //delete pNewPline;
        
   
   
}
开发者ID:vpatrinica,项目名称:pernute,代码行数:52,代码来源:InteriorPointsConstructor.cpp

示例12: createBlock
▲ 点赞 1 ▼
void createBlock()
{
    AcDbBlockTableRecord* pBTR = new AcDbBlockTableRecord();
    pBTR->setName(DYNBLKSAMP_BLOCKNAME);
    AcDbSymbolTable* pBT = NULL;
    acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBT, AcDb::kForWrite);
    pBT->add(pBTR);
    pBT->close();       
   
   
    AcGePoint3d pt1(0.0, 0.0, 0.0);
    AcGePoint3d pt2(2.0, 0.0, 0.0);
    AcDbLine* pLine = new AcDbLine(pt1, pt2);
    pBTR->appendAcDbEntity(pLine);
    pLine->close();

    pt1 = pt2;
    pt2.y = 2.0;
    pLine = new AcDbLine(pt1, pt2);
    pBTR->appendAcDbEntity(pLine);
    pLine->close();

    pt1 = pt2;
    pt2.x = 0.0;
    pLine = new AcDbLine(pt1, pt2);
    pBTR->appendAcDbEntity(pLine);
    pLine->close();

    pt1 = pt2;
    pt2.y = 0.0;
    pLine = new AcDbLine(pt1, pt2);
    pBTR->appendAcDbEntity(pLine);
    pLine->close();
   
    pBTR->close();
}
开发者ID:FengLuanShuangWu,项目名称:AutoCADPlugin-HeatSource,代码行数:36,代码来源:ProtocolReactors.cpp

示例13: Draw_Text
▲ 点赞 1 ▼
AcDbObjectId Additional_Class::Draw_Text( CString InputText, AcGePoint3d InsertPoint, double TextHeight, double TextAngle )
{
    AcDbBlockTable *pBlockTable;
    AcDbBlockTableRecord *pBlockTableRecord;
    AcDbText *text_Up = new AcDbText(InsertPoint, InputText, AcDbObjectId::kNull, TextHeight, TextAngle);
    acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBlockTable, AcDb::kForRead);
    //this->Open_BlockTable(pBlockTable, NREADMODE);
    pBlockTable->getAt(ACDB_MODEL_SPACE, pBlockTableRecord, AcDb::kForWrite);
    //this->Open_ModelTableRecord(pBlockTableRecord, pBlockTable, NWRITEMODE);
    AcDbObjectId TextID;
    pBlockTableRecord->appendAcDbEntity(TextID, text_Up);
    text_Up->close();
    pBlockTable->close();
    pBlockTableRecord->close();
    return TextID;
}
开发者ID:TobeGodman,项目名称:AutoTrader,代码行数:16,代码来源:Additional_Class.cpp

示例14: AppendEnt
▲ 点赞 1 ▼
void AppendEnt(AcDbEntity *pEnt)
{

    AcDbBlockTable *pBT;
    AcDbBlockTableRecord *pBTR;

    acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBT,AcDb::kForRead);
    pBT->getAt(ACDB_MODEL_SPACE,pBTR,AcDb::kForWrite);
    pBT->close();

    Acad::ErrorStatus es;

    //add entity to model space
    es = pBTR->appendAcDbEntity(pEnt);
    pBTR->close();

}
开发者ID:kevinzhwl,项目名称:ObjectARXMod,代码行数:17,代码来源:acrxEntryPoint.cpp

示例15: Draw_Circle
▲ 点赞 1 ▼
AcDbObjectId Additional_Class::Draw_Circle( AcGePoint3d ptCircle, double Radius )
{
    AcGeVector3d norm(0,0,1);
    AcDbCircle *pCircle = new AcDbCircle(ptCircle, norm, Radius);
    AcDbBlockTable *pBlockTable;
    AcDbBlockTableRecord *pBlockTableRecord;
    acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBlockTable, AcDb::kForRead);
    //Open_BlockTable(pBlockTable, NREADMODE);
    //Open_ModelTableRecord(pBlockTableRecord, pBlockTable, NWRITEMODE);
    pBlockTable->getAt(ACDB_MODEL_SPACE, pBlockTableRecord, AcDb::kForWrite);
    AcDbObjectId CircleId;
    pBlockTableRecord->appendAcDbEntity(CircleId, pCircle);
    pCircle->close();
    pBlockTable->close();
    pBlockTableRecord->close();
    return CircleId;
}[/code]

 

 

 

 

C++ AcDbBlockTableRecord::appendAcDbEntity方法代码示例

该用户从未签到

主题

0

回帖

0

积分

管理员

积分
0
发表于 2024-7-28 09:28:43 | 显示全部楼层
  法拉利膜材作为一种高性能的建筑材料,在建筑、汽车及广告等多个领域有着广泛的应用。以下是对法拉利膜材型号、特点及优点的详细分析:
[img]http://www.mjgou.com/data/attachment/forum/202403/13/223041uiqmeujen4jjj6zv.jpg[/img]
[b]一、法拉利膜材型号[/b]
法拉利膜材有多种型号,包括但不限于以下几种:1302 S2 Flexlight Advanced:这是一种高性能IV型柔性复合膜材,以其卓越的透光性、耐久性和易维护性而受到青睐。942、1202 S2、1002 S2、902 S2、1212 S2、912 S2:这些型号同样属于法拉利膜材系列,各自具有不同的特性和适用范围,但具体特点需根据具体型号进一步分析。需要注意的是,法拉利膜材的型号可能随着产品更新换代而有所变化,具体型号及其特性请参考最新产品资料。
[img=860,1255]http://www.mjgou.com/data/attachment/forum/202403/13/223254bbblwlbvbvsbwlsl.jpg[/img]
[b]二、法拉利膜材特点[/b]
法拉利膜材的特点主要体现在以下几个方面:
1、高强度与耐用性:法拉利膜材采用高强度材料制成,具有良好的抗拉强度和撕裂强度,能够承受较大的外力作用而不易破损。耐用性强,能够在恶劣气候条件下保持稳定的性能,延长使用寿命。
2、透光性与美观性:部分型号如1302 S2 Flexlight Advanced具有高透光性,能够在保持室内光线充足的同时,提供清晰的视野。膜材表面平整光滑,色彩丰富多样,能够满足不同建筑和装饰需求,提升整体美观性。
3、轻质与灵活性:法拉利膜材重量较轻,便于运输和安装,能够降低施工成本和时间。膜材具有一定的柔韧性,能够适应各种复杂形状和结构的设计要求。
4、环保与可回收性:法拉利膜材符合环保要求,部分材料可回收利用,减少了对环境的影响。
[img]http://www.mjgou.com/data/attachment/forum/202403/13/223128owhn0099rrds5h5y.jpg[/img]
[b]三、法拉利膜材优点[/b]
法拉利膜材的优点主要体现在以下几个方面:
1、提升建筑性能:高强度与耐用性使得法拉利膜材能够提升建筑的稳定性和安全性,延长使用寿命。透光性与美观性使得建筑内部光线充足、视野开阔,同时提升整体美观度。
2、降低施工成本:轻质特性使得运输和安装成本降低,施工效率提高。膜材的柔韧性使得施工更加灵活多变,能够适应各种复杂地形和结构要求。
3、节能环保:部分材料可回收利用,符合环保要求,减少了对环境的影响。良好的透光性能够减少室内照明需求,降低能耗。
4、广泛应用领域:
法拉利膜材不仅适用于建筑领域(如体育设施、商业设施、文化设施、交通设施等),还广泛应用于汽车及广告领域(如高档车辆贴膜保护和装饰、广告招贴等),展现出其多功能的特性。

综上所述,法拉利膜材以其高强度、耐用性、透光性、美观性、轻质灵活性以及环保可回收性等优点,在建筑、汽车及广告等多个领域发挥着重要作用。具体型号的选择应根据实际需求和应用场景进行综合考虑。
[url=http://www.mjgou.com/forum-17-1.html][size=91855][color=Red]法拉利膜材中国代理商 - 膜结构网[/color][/size][/url]
C++ AcDbBlockTableRecord::appendAcDbEntity方法代码示例

该用户从未签到

主题

0

回帖

2

积分

新手上路

积分
2
发表于 2024-8-6 10:42:43 | 显示全部楼层
汇锋膜材,作为一种高性能复合材料,在建筑、环保、电子等多个领域展现了广泛的应用价值。以下是对汇锋膜材的详细分析:
[b]一、公司背景与实力[/b]
浙江汇锋新材料股份有限公司(汇锋新材)成立于2001年,坐落于浙江省海宁市,是一家集研发、生产、销售于一体的现代化新型高科技公司。该公司拥有汇锋新材料、汇锋薄膜科技、汇锋塑胶科技三个主要厂区,占地面积超过10万平方米,并在中国新三板挂牌上市(股票代码:836141)。汇锋新材还与世界十大膜材生产商日本平冈展开合作,其产品在国内外市场上享有盛誉。
[b]二、产品特点[/b]
1、高性能:
2、轻质化:汇锋膜材具有很高的比强度和比刚度,单位重量下的性能优于传统建材和金属材料。
3、耐候性强:具有超强抗紫外线、耐氧化、防腐蚀性能,户外应用不褪色、不脆裂,耐候级别可达12000小时以上(国标耐人工气候老化测试结果)。
4、机械强度高:能够承受较大的外力作用,确保结构的稳定性和安全性。
5、防火性能:部分产品达到防火标准,提高建筑的安全性。
6、环保安全:采用环保无毒原材料生产,无有害物质排放,符合国家环保政策。使用水性油墨印刷,不含重金属,绿色环保。
7、多功能性:具有自洁功能,易清洁,减少维护成本。延展性好,适应各种加工需求。部分产品具有优异的透光性和隔热性能,有助于节能减排。
[b]三、应用领域[/b]
建筑领域:用于墙体、屋面、幕墙、天光板、隔热材料等,具有重量轻、强度高、防水、隔热、耐候性好等优点。应用于新型建材中,逐渐取代传统建筑材料。
环保领域:制作成污水处理设备、废水处理设备、气体处理设备等,具有防腐、耐酸碱、耐高温等特点。
电子领域:作为电子产品的外壳、电容器、电池隔膜等,提高电子产品的性能指标。
其他领域:在航空航天、交通设施、文化设施等多个领域也有广泛应用。
[b]四、技术创新与发展[/b]
汇锋新材注重技术创新和产品研发,不断推出适应市场需求的新产品。例如,其PVDF高耐候钢板膜和装饰膜不仅具有优异的耐候性和耐化学腐蚀性,还提供多种花色选择,满足客户的多样化需求。此外,汇锋新材还积极采用环保技术和材料,推动绿色建筑和可持续发展。
[b]五、市场认可度与前景[/b]
随着全球对环保、节能和可持续发展的重视不断加深,高性能、环保型膜材的市场需求持续增长。汇锋膜材凭借其优异的性能和广泛的应用领域在市场上赢得了广泛的认可。未来,随着技术的不断进步和市场的不断发展,汇锋膜材有望在更多领域发挥重要作用,为建筑、环保、电子等行业提供更高品质、更环保的解决方案。
综上所述,汇锋膜材作为一种高性能、环保型复合材料,在建筑、环保、电子等多个领域展现了广泛的应用前景和市场潜力。随着市场需求的不断增长和技术的不断进步,汇锋膜材有望成为推动相关行业发展的重要力量。

 

 

 

 

C++ AcDbBlockTableRecord::appendAcDbEntity方法代码示例
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-11-1 11:42 , Processed in 0.194517 second(s), 25 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表